﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define k = Character('Kenichi', color="#3F3CD7")
define y = Character('Yumi', color="#D98AD5")
define d = Character('Daisuke', color="#197B29")
define h = Character('Hikaru', color="#E4A72F")
define a = Character('Aunt', color="#9B1FC5")
define g = Character('Girl', color="#9B1FC5")
define b = Character('Boy', color="#9B1FC5")
define m = Character('Keiko-chan', color="#9B1FC5")
image background="background.png"
image livingrm="livingrm.png"
image normal= "normal.png"
image smile= "smile.png" 
image unsure= "unsure.png"
image unsureblush= "unsureblush.png"
image library= "library.jpg"
image librarycorner= "librarycorner.jpg"
image kitchen= "kitchen.png"
image park= "park.png"
image happyblush= "happyblush.png"
image keiserious= "keiserious.png"
image keiseriousblush= "keiseriousblush.png"
image keismile= "keismile.png"
image keismileblush= "keismileblush.png"
image dainormal= "dainormal.png"
image daiblush= "dainormalblush.png"
image daismile= "daismileplay.png"
image daismileblush= "daismileplayblush.png"
image daisad= "daisad.png"
image daisadblush= "daisadblush.png"
image backdrop= "backdrop.png"
image street= "street.png"
image keiko= "keiko.png"
image keikosmile= "keikosmile.png"
image breakfast= "breakfast.png"
image hiksleep= "hiksleep.png"
image kenichiend= "Kenichiend.png"
image daicook= "daicook.png"

init:

    python:
    
        import math

        class Shaker(object):
        
            anchors = {
                'top' : 0.0,
                'center' : 0.5,
                'bottom' : 1.0,
                'left' : 0.0,
                'right' : 1.0,
                }
        
            def __init__(self, start, child, dist):
                if start is None:
                    start = child.get_placement()
                #
                self.start = [ self.anchors.get(i, i) for i in start ]  # central position
                self.dist = dist    # maximum distance, in pixels, from the starting point
                self.child = child
                
            def __call__(self, t, sizes):
                # Float to integer... turns floating point numbers to
                # integers.                
                def fti(x, r):
                    if x is None:
                        x = 0
                    if isinstance(x, float):
                        return int(x * r)
                    else:
                        return x

                xpos, ypos, xanchor, yanchor = [ fti(a, b) for a, b in zip(self.start, sizes) ]

                xpos = xpos - xanchor
                ypos = ypos - yanchor
                
                nx = xpos + (1.0-t) * self.dist * (renpy.random.random()*2-1)
                ny = ypos + (1.0-t) * self.dist * (renpy.random.random()*2-1)

                return (int(nx), int(ny), 0, 0)
        
        def _Shake(start, time, child=None, dist=100.0, **properties):

            move = Shaker(start, child, dist=dist)
        
            return renpy.display.layout.Motion(move,
                          time,
                          child,
                          add_sizes=True,
                          **properties)

        Shake = renpy.curry(_Shake)
        
init:
    $ sshake = Shake((0, 0, 0, 0), 1.0, dist=15)


# The game starts here.
label start:
play music "talking.mp3"
scene black
with Dissolve(.5)
"The year-end exams for college were over."
"I could finally breathe freely again." 
"I had waited three whole months for this day to come." 
"But this was my last summer vacation as a college student."
"When school ends next year, I would be thrown into the working world." 
"I didn't even want to start thinking about that yet." 
"My Aunt had sent me a letter." 
"She wanted to make the summer exceptionally special for me and had invited me over to her peaceful countryside home." 
"It may sound boring, but I'm the type of person who loves some peace and quiet from time to time." 
"And my Aunt added a PS: I promise you'll have a great time!" 
"How could I possibly reject that?" 
"But little did I know that this last summer vacation was going to be the best one of my life." 
stop music fadeout 1

scene background
with Dissolve(.5)
play music "start.mp3"
"In one of the restaurants at the countryside." 
a "So Yumi-Chan, how do you like it here?" 
y "Yes Aunt, your home is beautiful ,and your neighbourhood is too!" 
a "I just knew you were suited for the countryside, away from the hustle and bustle of city life."
a "You've grown skinnier since we last met! Has school been that taxing?"
a"Well it’s time to fatten you up now, this restaurant is the best in this town."
a"You must try the food here! Oh and.. the waiters are hot! "
"She winked at me playfully." 
show keismile
k "Irrashaimase! Welcome! Table for two? " 
"So.... Is this the hot waiter?" 
a "Yes please Kenichi-kun, and do bring over all the menus you have."
a"Including  the special promotion menu and the dessert menu."
a "I want to fatten up my niece here." 
y" Aunt! " 
a" Hai hai, just kidding. " 
k" Well you don't have to worry about that, I think your niece is just beautiful the way she is now." 
a "Aww that’s so sweet Kenichi-kun, I think Yumi-chan's blushing.. " 
y "No, I'm not! " 
hide keismile
show keismileblush
k "Well, here's your seat. Please wait for a moment."
k"My brother has started his training to become a waiter today."
k "I hope you don't mind if he takes your orders." 
a"Hikaru-kun is going to be a waiter? That's wonderful!"
a"It’s so heartening to see you all work so hard in order to sustain the family's business." 
k "It’s nothing, it’s just something we love to do and should do."
k "I'll go get Hikaru now, please excuse me.." 
hide keismileblush
y "This is their family's business?" 
a "Yup that’s right, the three brothers took over the business after their parents had left." 
a"It’s amazing that they run this whole place by themselves, considering their age." 
a"Why, Daisuke-kun is the same age as you!" 
a "Kenichi-kun is the eldest brother and takes really good care of his younger brothers." 
a"Daisuke-kun is the middle brother, he's the one who cooks all this great food!" 
y "Wow, he's my age and he cooks all the food in this restaurant?" 
a "Yup, and not only is his food good... {w}His looks are really good too!" 
y "I thought I was here to see the beauty of the countryside, not the guys! " 
a "Tsk tsk, you have no idea huh...."
a"These guys {size=+3}are{/size} the beauty of this countryside..  "
y "Ahhh hai hai, wakarimashita... I see what you mean.. " 
show unsure
h "W..w..what would you like to have?"
"Wah, he's really nervous." 
a "Hikaru-kun!Loosen up a bit!"
a"It’s just the Aunt who lives next door and my, as your brother says it,beautiful niece." 
y "We live next door to them?!" 
h "W..w...what would you like to have?" 
a "Ara.. Hikaru-kun is still nervous ne.. let’s see.. we'll have the sushi set, the tonkatsu set." 
a "And for dessert we'll have your store's special Japanese sweets." 
h "P..p..please wait for a moment!" 
hide unsure
y "Why is he so nervous?" 
a "Well.. Hikaru-kun has always been like that, he's the youngest of the three."
a "He has always been following his elder brothers around." 
a "After his parents left, he became very dependent on them." 
a "He's the only brother who's still studying in high school."
a "But he helps out in the restaurant after he comes back from school. "
a "This is the first time he's tried being a waiter though, do cut him some slack.. " 
show unsure
h "H..hh..here's your meal, please enjoy!" 
hide unsure
"Wow, the food smells so good, and the presentation is so beautiful."
"Aunt wasted no time and immediately started on her meal."
a "Itadakimasu! I'm digging in! " 
a "Oishi! Sugoku Oishi yo! This is really delicious! You must try this Yumi-chan!"
a"You've gotta meet the person who cooked such good food!"
a"Kenichi! " 
show keismile
k "Hai? May I help you?" 
a"Please help me ask Daisuke-kun to come out of the kitchen for a while. We'd just love to thank him for such a delicious meal!" 
k "I'm glad to hear that you like it and I'm sure he would too.."
k"Please wait for a moment, I'll go get him right away." 
hide keismile
y "I wish I could cook such nice food and create such exquisite Japanese sweets too! " 
a "You Yumi-chan? It's ten years too early for you to say that..hohoho.." 
y "What?! I know I can if I try!" 
show dainormal
d "Hey Aunt! You called for me? "
a "Daisuke-kun ! Your skills have improved! This is amazing! Right Yumi-chan?" 
y "Ahh.. Hai.." 
"Daisuke-kun stared at me with curious eyes." 
hide dainormal
show daismile
d "Aunt, who's this cutie sitting with you?" 
a "Hohoho.. Yumi-chan's my niece, she's staying with me for the summer, you two should get to know each other better." 
"Aunt nudged me with her elbow." 
"Oww.. but Aunt was right, he does cook, and look, good." 
d  "Hmmm..well I'm glad you enjoyed your meal, I'm always so happy to see smiles on my customers' faces."
hide daismile
show daismileblush
d"Especially on a face as cute as yours, Yumi-chan!" 
d"I have to get back to work! I'll see you around Yumi-chan! {w} ....  and Aunt too! " 
hide daismileblush
a "Hmmm.. Yumi-chan just arrived in my territory and she's so popular already...."
a"Urayamashii...Aunt is Jealous... " 
y "Maji desu ka?! You can't be serious! " 
a "Hohoho.. but honestly Yumi-chan, I really wouldn't mind if one of the three brothers becomes my nephew-in-law."
a "They are all so sweet and adorable." 
y "Y..yo..you're thinking too far!" 
a "Hoho.. alright,I think I've teased you enough for today, I've had my fun, let’s go back home and help you unpack." 
stop music fadeout 1
scene black
with Dissolve(.5)
play music "talking.mp3"
" Aunt really knows how to get on my nerves sometimes."
"She always acts like some boy-crazy high school girl." 
"But I know that she's purposely doing that for me, to try to connect to my age group and think at our level."  
"And I just love her for being herself, always so carefree and jovial. " 
"But it does seem that there's more to this place than I had imagined.." 
"Maybe I won't be having my peaceful summer days after all." 
"The food today was so good.. I still can't believe that Daisuke-kun cooks everything himself." 
"I think I'll go over to their restaurant again for breakfast tomorrow, and maybe for some Japanese sweets too."
"....And maybe also for the eyecandy." 
stop music fadeout 1

play music "carefree.mp3"
scene background
with Dissolve(.5)
show keismile
k "Irrashaimase! " 
k" Oh hello again Yumi-chan, it’s great to see you!" 
k" Who would you like to serve you today?"
hide keismile
menu:
    "Kenichi-kun":
        jump Kei
    "Daisuke-kun.":
        jump Dai
    "Hikaru-kun":
        jump Hik

label Kei:
    $ Kei_flag = True
    $ Dai_flag = False
    $ Hik_flag = False
    show keismile
    k "What would you like to have for breakfast?"
    y "Eto.. miso soup, tamagoyaki and rice please." 
    k " Right away! One miso soup, tamagoyaki and rice coming right up!" 
    hide keismile
    " Kenichi-kun speeds off into the kitchen." 
    " I take a good look around the restaurant while I wait."
    " It was a very traditional Japanese restaurant."
    " There were no chairs, but only cushions for customers to kneel on."
    "Sometimes it can get really hilarious when someone loses his balance while trying to get up, after kneeling for too long on these cushions." 
    show keismile 
    k "Thanks for waiting! Hope you'll enjoy your meal!" 
    y "Thanks Kenichi-kun!"
    "I lifted up my chopsticks to dig into my food, but they slipped right out of my fingers onto the tatami mat." 
    y "Ahhh.. I'm sorry! " 
    "Kenichi- kun must think I'm a klutz now.." 
    "I quickly reached out for the chopsticks." 
    "But Kenichi was reaching out for the chopsticks too.."
    hide keismile
    show keiseriousblush
    "Our hands touched."
    "He looked into my eyes and I was frozen for a moment." 
    "Then he flicked his finger onto my forehead gently." 
    hide keiseriousblush
    show keismileblush
    k "... You really are clumsy, you know." 
    " I blushed"
    "Ahh.. he really thinks I'm a klutz!"
    "So much for first impressions." 
    hide keismileblush
    show keismile
    k "Oh by the way Yumi-chan, do you have any plans after breakfast?" 
    y "Not really.. Why?" 
    hide keismile
    show keiseriousblush
    k "We don't usually have many customers after breakfast, I was wondering if I could be your tour guide for the day."
    k "I'm sure you haven’t seen everything in this town yet." 
    k ".....Would you like to go out with me?" 
    y "... Sure! I'd love to explore this town! " 
    y"Shouldn't waste my vacation just sitting around at my Aunt's house doing nothing!"
    hide keiseriousblush
    show keismileblush
    k " It’s a date then! I'll see you later!" 
    hide keismileblush
    "Did he just say... a date?" 
    stop music fadeout 1
    jump waiting

label Dai:
    $ Kei_flag = False 
    $ Dai_flag = True
    $ Hik_flag = False
    show dainormal
    d " Ohayo~ Good Morning Yu-mi-chan ! Have you become a fan of my food? Hahaha, what would you like to have for breakfast?" 
    y " How about surprising me with something interesting? You're the chef ~ " 
    hide dainormal
    show daisad
    d "That's a hard one.. there are so many varieties to choose from.." 
    y "I'll give you a hint! I love sweet things." 
    d "Amai Tabemono ka.. sweet things huh?"
    hide daisad
    show daismile
    d"Oh I've thought of something! Sho sho omachi kudasai! Please wait for a moment!" 
    y "Hai! Otanoshimi! I'm looking forward to your surprise! " 
    hide daismile pavilion 
    "I wonder what Daisuke-kun is going to prepare?" 
    " Waku waku shiteru! This is so exciting!" 
    show daismile
    d "Here's one special sweet surprise for an exceptionally sweet person." 
    "Daisuke-kun places the dishes on my table." 
    y "That was really fast!" 
    d "Well.. when you've gotta cook for everyone in this restaurant, you gotta be fast!" 
    d "Hai hai meshiagare! Help yourself ! Hope you have a really sweeeet meal." 
    hide daismile
    scene breakfast
    with Dissolve(.5)
    "There were certainly a lot of sweet things.. " 
    "A strawberry parfait, heart-shaped Japanese sweets..." 
    "Heart-shaped Japanese sweets? That's cute, I've only seen those that represent the changing seasons." 
    "And... Omurice?Ok.. that doesn't really taste sweet but..hmm.. something's written on it in Japanese with tomato ketchup.."
    "Yu-mi-cha-n ka-wa-i-i " 
    " Ara! Kawaii! this is so cute! " 
    y "Itadakimasu!!" 
    " Amai ~ it’s so sweet!  Just the way I like it, I'd be so happy if I had a husband who would cook food like this for me everyday...Shiawase ne...I'd be so blessed." 
    " Ara! What am I thinking about? It’s supposed to be the other way! But sadly the only meal I can cook now is instant ramen." 
    " I'll never be a bride! " 
    scene background
    with Dissolve(.5)
    show daiblush
    d "Did you like it? Was it sweet enough?" 
    "Daisuke-kun comes out of the kitchen after I'm almost done with my meal to ask how it was." 
    y  " Hai! Totemo Oishi desu~ It was so delicious!  I .." 
    "......"
    "Daisuke was bending over.." 
    "Leaning towards me.."
    "His face was getting closer.." 
    y "Whaa?!"
    "I was so shocked, I closed my eyes."
    "And then I felt a finger wiping my nose." 
    hide daiblush
    show daismile
    d "Your nose wanted to have some parfait too?" 
    "He said that teasingly and then winked at me." 
    y "Ahh.. Bukkirishita! You really scared me for a second!" 
    d "What did you think I was about to do?" 
    y ".. N.. Nothing!! I just didn't expect you to wipe my nose, or that there was anything on my nose for that matter!" 
    d "Hahaha! hai hai. You're really clumsy Yumi-chan! " 
    hide daismile
    show daismileblush
    d " .... But that’s what makes you so cute....."
    hide daismileblush
    show daisad
    d "Hey! You still havnt opened the main surprise!" 
    y" There are some more surprises?!" 
    hide daisad
    show daismile
    d "Yes and the best one in fact... right here! "
    "He reached under the plate, took out a small note and passed it to me." 
    "It read: May I ask a sweet girl like you out after breakfast?" 
    y "You're really full of surprises.. " 
    hide daismile
    show daismileblush
    d "So... may I?" 
    y "... yes you may ~" 
    d "Yatta! I'll see you after the breakfast rush time is over!" 
    hide daismileblush
    "I looked around me and realised that there were quite a lot of customers waiting for breakfast." 
    "I must have taken up a lot of Daisuke's time! He seemed to have forgotten about everyone else while serving me." 
    "But it’s a good thing that the people in this countryside have a slower pace of life." 
    "Everyone seemed really relaxed, even though they were waiting for breakfast." 
    "It’s so different from the city where everything is rushed and at full pace." 
    "I'm really starting to like this place." 
    stop music fadeout 1
    jump waiting
    
label Hik:
    $ Kei_flag = False 
    $ Dai_flag = False
    $ Hik_flag = True
    show unsure
    h "O.."
    y "O..? " 
    h "O..ha... yo.."
    y "Ahh! Ohayo Hikaru-kun! Good morning ~ "
    y"Kyou wa ii tenki desu ne? It’s a nice day !" 
    h "Maybe it is...... your order?" 
    y "Oh yes, I'll have.. grilled fish, rice and green tea please." 
    h "Please wait for ... a moment." 
    hide unsure
    " I wonder if I could help Hikaru-kun be less nervous and more familiar with me." 
    " I'm sure he doesn't stutter in front of his brothers." 
    " I guess it'll take some time for him to get used to me since I'm a newcomer." 
    show unsure
    h "Thanks....for waiting.." 
    "Hikaru's hands were trembling as he placed the items onto the table." 
    "But he was too clumsy and spilled the green tea all over my skirt." 
    hide unsure
    show unsureblush
    h "Ahhh! Sumimasen! I'm really sorry! " 
    "Hikaru frantically took out a handkerchief." 
    "He knelt down beside me and started to wipe my skirt" 
    h "Honto ni sumimasendeshita! I'm seriously sorry! " 
    y "Ahh.. It’s alright Hikaru-kun, it'll dry up soon! Kinishinaide! Don't worry about it~" 
    "There were tears in the corners of Hikaru's eyes." 
    "Oh no! I have to think of a way to cheer him up.." 
    y "Hikaru-kun..." 
    h "H..hai? " 
    "Hikaru looked up at me" 
    y "How about I give you some special training?" 
    h "Sp..special training?" 
    y "Yup, I was a part-time waitress for a short period of time before, maybe I could give you some tips so you wouldn't be so nervous?"
    hide unsureblush
    show smile
    h "Ss..sure.. !" 
    y "Ok here goes, first you must think of your customers as friends: customers are friends, not enemies." 
    h "Customers are friends.. not enemies."
    y "You always want to give your friends the best, and to make them happy."
    y"So put on a smile and spread some cheerfulness by being cheerful!" 
    h "Ha.. haii ! "
    y "Ok.. repeat after me and don't stutter.."
    y "Irrashaimase! "
    h "Irrashaimase!" 
    y "Would you like a set meal?"
    h "Would you like a set meal?"
    y "Or would you like some sweets?"
    h "Or would you like some sweets?"
    y " Or...... me? " 
    h "Or...... me? {w} EHH!! " 
    hide smile
    show unsureblush
    y " hahahaha! I'm sorry! I just had to do that ! You're too cute!"
    h "Ehhh.. hidoi yo oneechan~ That is so mean... " 
    "Did Hikaru-kun just call me oneechan with that super cute blushing face? Ahh Moe!! " 
    y "Gomen, gomen, I'm sorry ~ " 
    h "I'm not to be given away Yumi-neechan.. but maybe only to a special person.." 
    y "A special person?" 
    h "Yeah... a special.. person.." 
    "Hikaru blushed a deep shade of red." 
    "I tried to change the subject." 
    y "Anyway, Hikaru-kun, are you free afterwards?" 
    hide unsureblush
    show unsure
    h " W..why?"
    y " I was just wondering if you could give me a tour of this town, I would love to explore it.... {w} if you would be my guide." 
    hide unsure
    show unsureblush
    h " I..I would love to but I've got homework to do and Kenichi-nisan will kill me if I don't finish it." 
    "I can't really imagine Kenichi-kun getting angry with Hikaru, but maybe that’s his responsibility as a big brother." 
    y " I could help you with your homework, maybe we could go on a tour, and then find a nice quiet place to study." 
    hide unsureblush 
    show happyblush
    h " You will? Oh thank you Yumi-neechan! I'll finish up my duties and get my homework right away!" 
    hide happyblush
    " He looks so cute when he smiles! But he's almost always so nervous that he forgets to smile....  "
    " I hope I can make him smile more.." 
    stop music fadeout 1
    jump waiting

label waiting:
    play music "carefree.mp3"
    scene background
    with Dissolve(.5)
    "That was a great meal, the food here is really the best! " 
    " I can't wait to go on my tour around town now." 
    if Kei_flag: 
        show keismile
        k "Are you ready to go? Ohimesama? My princess?" 
        y "Ohimesama?" 
        hide keismile
        show keismileblush
        k " ... Yes, you're my princess for today, and I'll be your servant."
        k "I'll bring you whereever you wish to go. "
        k "Ikimashou? Shall we go?" 
        hide keismileblush
        scene street
        with Dissolve(.5)
        show keismile
        "Kenichi-kun showed me around the various attractions in town."
        "Like the small cinema, the street stalls, a few clothes shops, the pretty cafes.. " 
        "Although it was nothing compared to the shopping and entertainment areas of the city,"
        "there was this warm, cosy and peaceful feeling."
        "The town was so small that everyone in town practically knew each other, there were no strangers in this town." 
        "It was a very friendly neighbourhood." 
        "After walking quite some distance, we ended up in front of the town's library." 
        scene library
        with Dissolve(.5)
        show keismile
        k "I love this place, it’s always so quiet and peaceful."
        k"There are all kinds of books.. do you like books Yumi-hime?" 
        y "Well.. I love mystery books... and manga.. "
        y"I hope they might have some here.. " 
        k "I'm sure they would, there are so many books here! Even though we are a small town, our library is quite well maintained." 
        y "What about you Kenichi-kun? What books do you like? "
        k "Well I like.. I like..." 
        hide keismile
        show keiseriousblush 
        y "What do you like Kenichi-kun?" 
        k "Well.. promise me you won't laugh at me.. " 
        y "I promise!" 
        k "(softly) I love fairytales..." 
        y "You what?"
        k "(louder) I love FAIRYtales" 
        y "Oh! that’s cute! hahaha"
        hide keiseriousblush
        show keiserious
        k "You promised you wouldn't laugh !"
        y "But I'm not laughing at you, I'm just surprised."
        y" I think it’s really cute to like fairytales. I love them too" 
        hide keiserious 
        show keismileblush
        k "Really? That’s great! Maybe someday I can read them to you too! " 
        y "Too? You're reading fairytales to someone? " 
        show keiseriousblush
        k "Oh.. well.. I .. er.. " 
        k "That reminds me, Yumi-chan, can you do me a favour?"
        y "A favour? what kind?"
        k "It might be too much to ask of you.. {w} but please.. {w} could you please not come to the library on Mondays? " 
        y "That's a weird request... But why not? "
        k "Onegaishimasu! Please, I sincerely ask of you! " 
        "He looked pretty flustered and did not seem like he was going to explain further." 
        y " Oook.. if you say so Kenichi-kun." 
        hide keiseriousblush
        show keismile
        k "Thank you Yumi-hime! Your loyal servant is really grateful! " 
        k "Oh! There's one other place that I would love to show you Yumi-hime."
        k"It’s my favourite place, would you like to go there with me?" 
        stop music fadeout 1
        menu:
            " Yes, I would love to!":
                jump Keipark
            "Sorry, I would like to stay here.":
                jump Dailib

        
    if Dai_flag: 
        show daisadblush
        d "I'm sorry Yumi-Chan, there were some last minute orders and I can't get away."
        d "In exchange, here is a map of the town and here are some coupons that you can use for the shops along the way, please take them as an apology from me. And I owe you one! " 
        y "It’s alright Daisuke-kun! I was imposing on you first, you must be really busy, being the only chef in this restaurant, please don't feel bad!" 
        d "I truly wish I could go out with you, but one must be responsible.."
        hide daisadblush
        show daismile
        d"Maybe some other time Yumi-Chan."
        d"I'll make sure there are more chances in the future!" 
        hide daismile
        "Daisuke winked and rushed back to the kitchen." 
        stop music fadeout 1
        scene street
        play music "tour.mp3"
        with Dissolve(.5)
        "I left the restaurant and went to explore the town."
        "I passed by a small cinema, a few clothes shops, some classy-looking cafes, street stalls.." 
        "The people living in this town were really friendly."
        "Although they didn't really know me, they gave me a smile as I passed by and looked at me with curiosity in their eyes."
        "I managed to catch some of the things they were whispering to each other : " 
        "That's Kyoko-san's niece right? Wahh.. She has grown ne? " 
        "That's weird, they must have seen me before then.. Maybe Aunt brought me here when I was small." 
        "I walked till my feet were tired and I wanted to find a place to rest." 
        "Where should I go?"
        stop music fadeout 1
        menu:
            " Library":
                jump Dailib
            "Park":
                jump Keipark

      
    if Hik_flag: 
        show happyblush
        h "Are you ready to go?Yumi-neechan?" 
        hide happyblush
        scene street
        with Dissolve(.5)
        show normal
        "Hikaru-kun showed me around the various places in town, such as the small cinema, the street stalls, a few clothes shops, the pretty cafes.. " 
        " Although it was nothing compared to the shopping and entertainment areas of the city, it was a very warm and friendly place."
        "When we passed by one of the clothes shops, a pretty white skirt caught my eye.." 
        "Hikaru seemed to notice me gazing at the skirt and turned to look at it too."
        h "It’s.. it’s pretty huh? Do.. do you like it?"
        y "Yup it’s cute, but I have many skirts already, I shouldn't splurge on myself so much." 
        "Hikaru took a look at the skirt and then back at me with my green tea stained skirt and sighed." 
        y "Oh no! Hikaru-kun! I hope I didn't cause you to feel bad again, that was just an accident, please don't worry about that!" 
        h "I.. I'll try not to.."
        hide normal
        scene library
        with Dissolve(.5)
        "At the end of our little tour, we went to the library, the perfect place to study and do homework." 
        "It was very quiet and it had many resources if one needed to do research." 
        "Hikaru and I sat down and we started our study session."
        "To my surprise, Hikaru took five textbooks out from his bag." 
        y "You have that much homework?"
        show unsureblush
        "Hikaru looks at me sheepishly." 
        h "I've been concentrating on my waiter-training.... so I forgot all about my homework."
        y "Well, looks like we've got our work cut out for us then!"
        y"Let’s see.. How about starting with Japanese Language?" 
        "Hikaru was learning how to write and read some difficult Kanji."
        "Kanji can sometimes be really difficult, there are so many characters that most Japanese never learn all of the kanji characters, but only just enough to communicate." 
        y "No Hikaru-kun, you've written that wrongly! That stroke doesn't go there! " 
        "I got up and stood behind Hikaru"
        "Taking his hand in mine, I helped him write the character properly." 
        y "Now you see? it’s written this way, not the other way.. "
        "Hikaru didn't seem to be listening to me, in fact he looked extremely restless about something." 
        y "What's wrong Hikaru? we've only just started.." 
        h "Ahh.. ha.. hai!  I'm sorry, I'll try to concentrate.."
        h "( softly) but it’s just a little hard to concentrate with you around.."
        "We went through textbook after textbook, subject after subject.. until Hikaru seemed to be able to do the questions by himself."
        hide unsureblush
        show normal
        h "I think I've got the hang of it.." 
        h "Thanks Yumi-neechan!" 
        h"You shouldn't waste a nice afternoon like this, just teaching me boring stuff." 
        h"I can handle this on my own now." 
        hide normal
        "What should I do?"
        stop music fadeout 1
        menu:
            "Stay with him until he finishes":
                jump Hiklib
            "Stay in the library":
                jump Dailib
            "Take a walk in the nearby park":
                jump Keipark

label Keipark:
    $ Kei_flag = True
    $ Dai_flag = False
    $ Hik_flag = False
    play music "park.mp3"
    scene park
    with Dissolve(.5)
    "The park was beautiful.." 
    "There were many flowers, trees, ponds, birds.."
    "I looked in amazement at the magnificent scenary before me." 
    "Suddenly, as I was distracted by the beauty of it all, I felt a hand gently combing through my hair.." 
    show keismileblush
    k "You're hair is really soft, Yumi-chan." 
    k "Ah look! What a beautiful flower!" 
    "He walks toward a bush of flowers and cuts one small flower out" 
    y " Is..is that alright? Isn't this public property?"
    "He ignores my question, brushes my fringe to one side and places the flower in my hair." 
    k "Talk about compatibility, {w} a beautiful flower, {w}for the most beautiful princess." 
    y "Ehh?!" 
    hide keismileblush
    show keismile
    k "Come, there's more to this park than just flowers!"
    k"There's a pond full of koi fish,ducks and swans..." 
    "He slipped his hand into mine and gently pulled me along in the direction of the pond." 
    "His hand was warm and though his grip was firm, it was still gentle, as if he was holding something delicate or precious." 
    "It was a really sunny day, so we stopped for a rest under the shelter of the pavilion." 
    k "So, hime-sama, I'd really love to know more about you.." 
    y "Ehh? Hmm.. eto.. I'm studying in a university in the city.. and staying in the university's hostel, my life is usually full of college activities, work, projects.. " 
    y "Nothing too interesting to talk about really.." 
    "I blushed, his question was so sudden! I couldn't think of any interesting reply and just answered honestly." 
    k "Well I think that's interesting enough!" 
    k "It must be real fun to go to university...." 
    "He seemed deep in thought."
    y"You didn't go to university, Kenichi-kun?"
    hide keismile
    show keiserious
    stop music fadeout 1
    play music "sad.mp3"
    "He looked like he was about to say something, and then paused.. and sighed." 
    "Ikenai! Oh no! Did I say something wrong?" 
    k "My parents were involved in an accident when I was still in high school."
    k"At that time, Daisuke was in middle school and Hikaru was in elementary." 
    k "We didn't have any close relatives to take care of us"
    k" It was Aunt.. Your Aunt.. who always came over to make sure we were alright." 
    k "But times were going to be difficult and going to university was the last thing on my mind.."
    k"I just wanted Daisuke and Hikaru to grow up happily."
    k "Your Aunt tried to persuade me to concentrate on my studies, and that she would take care of us."
    k "But I couldn't bring myself to trouble your Aunt, your Aunt wasn't even married yet.." 
    k  "I couldn't leave my brothers behind either, after our parents had left us, I felt that I needed them a lot more closer to me."
    k "Many people were pressing us to sell away our parent's restaurant."
    k"Because it would give us some funds to survive through the part of our lives before we found work." 
    k "But Daisuke, Hikaru and I just couldn't, there were too many memories of our parents in that place." 
    hide keiserious
    show keismileblush
    " A soft smile appeared across Kenichi's face." 
    k "Dad was the Chef and Mom was the waitress.. We would help out after school every day, there were many funny incidents.."
    "A tear formed in the corner of his eye, but he quickly blinked it away." 
    hide keismileblush
    stop music fadeout 1
    play music "park.mp3"
    show keismile
    k " ... But I still really love this town, even with the unhappy things that happened."
    k "They make the happy things seem a lot more happier, cos you have something to contrast them against." 
    k "Anyway Yumi-chan, I really hope that you'll have a great vacation and many good memories to bring back home." 
    k " (Softly) I'll definitely remember you.. {w}  I hope you'd remember me too.. " 
    y "Hmm? Sorry, what did you say?"
    k "N..Nothing, just a little sad that you're here to stay for only a short while.." 
    k "Hmm.. I've got an idea! How about coming over to my house on Saturday?" 
    k" I'll prepare a surprise that will definitely make your stay a memorable one!" 
    y "Come over to your house?!"
    hide keismile
    show keiseriousblush
    k "Yup, it’s not too inconvenient is it? We're next door neighbours...  " 
    y "Err.. sure! How can I say no to a surprise from Kenichi-kun?" 
    hide keiseriousblush
    show keismileblush
    k "Yatta! thanks Yumi-chan! I'll see you on Saturday!"
    hide keismileblush
    stop music fadeout 1
    jump afterthat


label Dailib:
    $ Kei_flag = False 
    $ Dai_flag = True
    $ Hik_flag = False
    play music "carefree.mp3"
    scene library
    with Dissolve(.5)
    " I hung around the library, looking through the rows and rows of books." 
    " What book should I read? I wonder if they have mystery books.. or manga.. or.. " 
    "Crash!" with sshake
    "I collided head-on into someone and fell down hard on my bottom." 
    y "Ahh itai~ ! that hurts! " 
    show daisad
    d "Daijoubu? Sorry I was carrying so many books and I couldn't really see my way when.. "
    hide daisad
    show daisadblush
    d "Yumi-chan?!" 
    y "Ah Daisuke-kun!" 
    d "Oh no Yumi-chan! Gomenasai! I'm really sorry! Here, I'll help you up!"
    "He reached out and took my hands to lift me up. " 
    hide daisadblush
    show daiblush
    d"So...what are you doing here?"
    y"Just touring around town until I came to this place..."
    y"And then decided to stay here a little longer cos it’s quietness gives me a feeling of tranquility." 
    hide daiblush
    show daisad
    d"Well.. we certainly did disturb that tranquility..." 
    "I looked in the direction where Daisuke-kun was glancing and saw the librarians glaring at us angrily." 
    y "Oops, did we make too big of a commotion?" 
    d "Let's go before we get into trouble."
    d"Come! I'll show you my favourite corner in the library."
    d "It’s a small corner for library activities, like story-telling sessions for children, but we can sit there is there's no one around." 
    "He took my hand and pulled me further into the library." 
    hide daisad
    scene librarycorner
    show dainormal
    with Dissolve(.5)
    d "Here it is, this is where I love to sit back, relax and do my research!" 
    y" Your research?" 
    d "Yup.. well.. I'm currently researching on all the recipes they have in this library and trying to come up with new recipes and ideas for the restaurant." 
    y" Wow.. you really do like cooking!  " 
    hide dainormal
    show daisadblush
    d "Yeah. Well.. I never told anyone this before.. "
    d" But, I really hope to open my own restaurant." 
    d "I love cooking traditional Japanese food, but I would really love to experiment with other cuisines."
    d "Like French Cuisines, Italian Cuisines.. and I have a thing for sweets." 
    y "That I totally agree, your wagashi is so pretty, it’s a state of art!" 
    hide daisadblush
    show daiblush
    d "Thanks! I'm glad you liked it!  I hope I improve enough to open my own cafe, restaurant or even a sweets shop someday.." 
    y" I'm sure you can! You're probably already halfway towards your dream."
    y "Your food is so good, I can eat it all day and not get sick of it!" 
    hide daiblush
    show daismile
    d "You really think so? But that's not good either, Yumi-chan will grow plump." 
    "He said that teasingly and winked at me." 
    y" I will not! " 
    y" Anyway, could I help you with your research too? I'd love to see how the great master chef formulates his recipes!"
    d "Sure, Just don't get in the way of the great master chef's inspiration." 
    y" Hey! You know I won't!" 
    hide daismile    
    "We went through recipe book after recipe book and Daisuke took notes while I suggested some ideas."
    " I may not be a chef, but I'm a self-declared glutton."
    " I love good food, even though I can't make it myself... well... not yet" 
    " It’s a good thing I have high metabolism" 
    " After a few hours of researching, I got really tired from reading so much.."
    " And the cushions in the library corner were really comfy..." 
    " I think... I just.. might.." 
    " Slowly.. slowly.. drift off to sleep.."
    stop music fadeout 1
    play music "sleep.mp3"
    " Atatakai.. it’s so warm.. " 
    " I slowly arose from my little nap." 
    " I was lying on something warm..... and.. "
    " Breathing?!!" 
    " I was fully awake now and realised that I had been sleeping on Daisuke's chest."
    " But he too was fast asleep." 
    " That's a good thing, if not it would have been so awkward! " 
    " I wonder who fell asleep first? "
    " Daisuke was still holding on to his pen and notebook, He must have fallen asleep while in the middle of taking down notes." 
    " I looked closely at Daisuke's face while he slept." 
    " He looked so peaceful , he even had a little smile on his face." 
    " He must be having a good dream.. I wonder what he's dreaming about?" 
    d " (sleeptalking)  Iyada..stop that.. Yumi-chan.. I'm not ready yet.." 
    " OK maybe I don't want to know.." 
    " As if reading my thoughts, Daisuke-kun suddenly woke up." 
    show daiblush 
    d " Oh sorry.. did I fall asleep?"
    d "I was having this great dream.." 
    y "Ahh.. hai hai. We should be getting home now, it’s quite late, the librarians will be chasing us home anytime now.."
    hide daiblush
    show dainormal
    d "So da ne..You're right.. Thanks for staying with me, and helping me with my research today!" 
    d "I managed to get many great ideas just from listening to you." 
    d "I've got a great idea right now! "
    d"How about coming over to my place this Saturday? We usually have a day off from working at the restaurant." 
    y "Come over to your house?!"
    d "Yup, it’s just next door so you can come up anytime! "
    d"I was thinking of trying out the new recipes that we formulated today." 
    hide dainormal
    show daiblush
    d "I would really love it if you could be the first one to taste test them.." 
    y "Sure I'd love to! Whereever there's good food, there's me! " 
    hide daiblush
    show daismile
    d "Then you'll be with me for a very long time.." 
    y "Eh?"
    d "Because where there's me, there's always good food .." 
    hide daismile
    stop music fadeout 1
    jump afterthat
    
label Hiklib:
    $ Kei_flag = False 
    $ Dai_flag = False
    $ Hik_flag = True
    play music "sleep.mp3"
    scene library
    with Dissolve(.5)
    y" I'll stay with you until you finish Hikaru." 
    h "Eh?Are you sure?"
    y" Yup, I have loads of time, and I just feel like relaxing today." 
    y "I'll just go look for a book to read while you do the rest of your homework."
    " I hope this library has mystery fiction or manga.." 
    " I went on to search for a good book to read."
    " After looking through shelves of books, I finally found what I was looking for." 
    "I brought the book back to our table and read it while I waited for Hikaru to finish his homework. "
    "The story was so interesting that I was completely engrossed in it and lost track of the time..." 
    "When I finally looked up from the book, a few hours had already passed." 
    y " Ahh.. Ikenai! It’s already so late? Hika.."
    scene hiksleep
    with Dissolve(.5)
    "Then I noticed.."
    "Hikaru was resting his head on his homework books, fast asleep." 
    "Doing that much of homework must have tired him out.."
    " I leaned over to get a better look at his sleeping face."
    "He looked so peaceful and serene." 
    "His eyelashes were really long and pretty too.. they might be even longer than mine.." 
    y " (whisper) but that's what makes you such a cute bishonen, a pretty boy.." 
    "Just like the ones in my manga." 
    scene library
    with Dissolve(.5)
    "Hikaru seemed to hear me speak and he woke up at the sound of my voice." 
    h "Ahh gomenasai! I'm sorry nee-chan I completely fell asleep! " 
    y "That's alright, have you finished your homework?"
    " Hikaru glances down at the opened books under him." 
    h "It seems like I'm done! and I didn't even realise it! "
    stop music fadeout 1
    jump afterthat
    
label afterthat: 
    if Kei_flag: 
        play music "carefree.mp3"
        scene livingrm
        with Dissolve(.5)
        " Wah is this Kenichi-kun's house? It sure does look nice.. everything is so traditional, their house and their restaurant." 
        " I heard some voices coming from the living room, it sounded like Kenichi and Daisuke-kun." 
        " I was about to go over when.."
        stop music fadeout 1
        play music "suspect.mp3"
        d "Why can't you spend more time in the restaurant instead of spending time with them?"
        k "They are important to me, they love me, they need me!" 
        d "I won't interfere into your private life, but you don't seem to be as concerned with the restaurant as I am, and that kind of ticks me off!" 
        d "It’s our family's restaurant ... Mom and Dad's.."
        k "Yes, I know, But I promised them I will spend time with them.."
        d "Girls are always needy huh?"
        " Girls?!" 
        k "Well I can't just leave them alone, they really like me, one of them even said she wants to marry me!" 
        " Marry?!!" 
        d "Haha! marry you? you can't be serious.." 
        d "You've got to tell her that's not possible. " 
        d "But how did you answer her? I'm sure all the other girls wouldn't be happy with you if you said yes." 
        k "I know, I'm not stupid, but I just want all of them to be happy." 
        d "Well, ok just know that the restaurant needs your attention too alright? Mr. everyone wants your attention guy." 
        k "I know, I will watch out." 
        "I couldn't take it anymore, I couldn't carry on eavesdropping on their conversation.." 
        "The words hit right through my heart."
        "I was confused."
        "Was the kind and sweet person Kenichi was in front of me all an act?"
        "Was he acting the same way to dozens of girls?" 
        "Who is Kenichi-kun?"
        "I ran away from their house, and ran to a place where I could hide in its serenity and peacefulness."
        stop music fadeout 1
        scene park
        with Dissolve(.5)
        play music "sadd.mp3"
        " I spent the rest of that saturday in the park." 
        "Even while sitting in this pavillion, my mind is not at peace or rest, It is continually thinking.. thinking about Kenichi-kun.." 
        "What kind of person is he really?"
        "Do I even want to know the truth?"
        "Just then, I heard some hurried footsteps approaching me.."
        show keiserious
        k "Yumi-Chan! I was so worried when you didn't come over today! "
        k"Where were you? where did you go? " 
        "I raised my head to look at him and warm tears started to flow down my cheeks involuntarily." 
        "I didn't know why I was crying.. somehow.. I must have started to like Kenichi-kun." 
        k "Yumi-chan?! Doshite Naiteru no? Why are you crying?"
        "He reached out his hand and wiped the tears off my cheeks." 
        "Then he placed his hands over my head and back and pulled me to himself." 
        k "What's wrong Yumi-chan?You can talk to me. "
        k"If I can do anything for you, I will."
        k"I will protect you Yumi-Chan." 
        "I sniffled, and contemplated if I should ask him about their conversation."
        "Would he accuse me of eavesdropping on them?"
        "But my desire to know the truth was much greater."
        y "Kenichi-kun, I heard your conversation with Daisuke-kun just now.. "
        y"He said you were really popular with some girls.. "
        y"and you love them.. and one of them wants to marry you..I..."
        "I couldn't carry on talking, I didn't know what to say, I didn't dare to look up at Kenichi." 
        show keiseriousblush
        "Kenichi was silent for a while"
        k "... I think you've misunderstood something Yumi-chan.. I am...I....."
        k"If.. if you want to know the truth Yumi-chan.."
        k" Then come to the library on Monday in the morning."
        k"You'll understand all those things that we were talking about if you come, if you trust me enough to come."
        k "I'm sorry that I was the one who made you cry.." 
        hide keiseriousblush
        "He wiped my tears away again and then walked away in a slightly contemplative mood."
        "I wonder what is going through his mind? " 
        "What should I do? "
        "Should I trust Kenichii-kun and go to the library on Monday?"
        stop music fadeout 1
        menu:
                "Yes, I trust him":
                     jump trustkei
                "No, I won't go":
                     jump doubtkei
            
        
    if Dai_flag: 
        play music "start.mp3"
        scene livingrm
        with Dissolve(.5)
        "Wah.. This is Daisuke's house?" 
        "Even his house was so traditional, with low tables and cushions." 
        "My house in the city was slightly more modern than this, even Aunt's house wasn't so traditional." 
        " But the traditional furniture gave the home a cosy feel." 
        show dainormal
        d "Ya ho! Yu-mi-chan! you came!" 
        y "Of course ! I wouldn't miss your food for the world!" 
        hide dainormal
        show daisadblush
        d "Oh so it’s for my food and not for ..me ?" 
        y "Ehhh! No I didn't mean it that way! " 
        hide daisadblush
        show daismile
        d "Just kidding! " 
        d "More importantly, come over here and take a seat on the couch."
        d "I'll go get the main attraction.." 
        hide daismile
        "A really aromatic smell wafted into the living room from the kitchen." 
        show daismile
        " Daisuke came out carrying a tray full of food." 
        d "Tada! My newest creations! And specially made for Yumi-chan." 
        "Daisuke takes a pair of chopsticks and uses it to grip onto a sushi roll." 
        hide daismile
        show daiblush
        d "Hai hai, Yumi-chan.. say ahhh.."   
        y "Nani?! What is this? " 
        d "Come on, be good .. and say ahhh.."  
        y "Ahhhh?" 
        "Daisuke leans over and feeds me the Sushi." 
        d "Dou desu ka? How is it?"
        y "Ahh.. umai! it’s delicious! What did you put into it? Cheese?"
        y "That's definitely not traditional, but it’s still nice! " 
        d "As long as it’s delicious, and Yumi- Chan likes it, it passes! " 
        hide daiblush
        show daismile
        d "Alright, Mou ichido, one more time please, say ahhh.." 
        "This time, he holds out a tamagoyaki to my face." 
        y "Again? I have hands you know ~ I can feed myself.." 
        d "Well.. it’s not often that I get to feed a cute girl like you.."
        d "Give me a reward for cooking this delicious meal?" 
        " I look at him in surrender." 
        y "Hai hai.. ahhhh...uumm" 
        "Ahhh.. Yappari umai desu! Just as I thought, It’s so delicious! "
        "He put cheese into the tamagoyaki too.. and that really enhanced its flavour and texture." 
        "It’s so good I just had to close my eyes to focus all my energy into my taste sense." 
        "Suddenly, I felt a hand gently patting my head.." 
        hide daismile
        show daismileblush
        d "Ii ko ne.. Good girl.." 
        y "Hey! I'm not your dog!" 
        hide daismileblush
        show daiblush
        d"I'd never treat you like a dog! more like... a younger sister.." 
        hide daiblush 
        show daismileblush
        d "(Softly)Or maybe more than that.." 
        hide daismileblush
        show daismile
        d"Anyway, I didn't invite you here so that you can just eat and sit around." 
        y "You didn't?" 
        d "Of course not! There's no such thing as a free lunch is there?"
        d"Since you're here, how about having a cooking lesson with the great master chef ? " 
        y "Ehh? Now?! " 
        d "Yup why not? The kitchen literally belongs to me at home, no one else uses it." 
        y "But.. but.. I have to warn you... I haven’t really tried.."
        d "Daijoubu da! It’s perfectly fine, that's what I'm here for.. ne?"
        y "Oook.. if you say so.." 
        hide daismile
        scene kitchen
        with Dissolve(.5)
        d "So now you hold the knife this way.. and start to cut juliennes.. " 
        "Daisuke was teaching me the basics of cutting vegetables.. but my hand was so unsteady, the knife almost fell out once." 
        d "Nope! You've got it all wrong! " 
        "Again? this was the upteenth time.."
        "Ahhh.. Muzukashii.. this is so difficult."
        "I take back what I said to Aunt, I can't even if I try." 
        d "Come, I'll help you.." 
        scene daicook
        with Dissolve(.5)
        "Daisuke stood behind me, his left hand held onto my left hand, and his right held onto my right." 
        "He then moves my hands to place the knife and vegetables in the proper positions to slice them." 
        d "So you see.. you have to let the tip go down first before the back, in a pushing manner.. " 
        "Ahh! I didn't realise he was so close! I could feel his breath on my ear as he spoke." 
        "I froze and couldn't think clearly, he was so close I could almost feel his heartbeat." 
        scene kitchen 
        with Dissolve(.5)
        d "Yumi-chan... Ne! Yumi-chan ! " 
        show daisad
        " Daisuke was suddenly facing me, I was no longer locked in his embrace."
        y "Ahh? What? "
        d "Are you alright? Your face is all red, you seem to be burning up quite a bit, do you have a fever?" 
        "I reached to touch my forehead... wah, honto da! It’s true that I was burning up.." 
        "Anata no warui desu .. It’s your fault I'm in this state.. Daisuke-kun.."
        "Daisuke waves a hand in front of my face."
        d "Moshi Moshi? Hello? Is Yumi-chan there?" 
        d "This isn't good! You're not responding!" 
        hide daisad 
        "He bends himself slightly.. and suddenly scoops me up into his arms." 
        stop music fadeout 1
        scene livingrm
        with Dissolve(.5)
        play music "talking.mp3"
        d "You can rest here."
        "He gently places me onto the living room couch." 
        show daisadblush
        d "You should go to sleep now, maybe a nap will help." 
        d "I'll be right here, and watch over you until you fall asleep." 
        "I was burning up so badly, I think I was going to be delirious. Yes, a nap would definitely be good." 
        hide daisadblush
        show daiblush
        "Daisuke stared down at my flushed face.." 
        d "Ne Yumi-chan..."
        d "Will you be there... with me in the future?" 
        " What?!" 
        d "Ever since you came, things can't be the same."
        d"Accomplishing these big dreams by myself seems so empty."
        d "It'll be so lonely and meaningless.. It only has meaning if you are there too.. " 
        d "Will you be there? Will you be with me forever?" 
        d "I love you Yumi, I need you, I can't do without you.."
        "What should I say?" 
        hide daisadblush
        stop music fadeout 1
        menu:
                " I love you too, Daisuke-kun":
                        jump daigood
                "I'm sorry I can't be there with you":
                        jump daibad
       
        
    if Hik_flag: 
        play music "sleep.mp3"
        scene library
        with Dissolve(.5)
        show unsureblush 
        h "Yumi-neechan?" 
        y "Yes Hikaru?"
        h "A..arigatou gozaimasu! Thank you so much! "
        y"Ehh? for what?" 
        h "For giving me tips on how to be a waiter."
        h"And for coaching me in my homework." 
        h"And for staying with me throughout the whole time." 
        hide unsureblush
        show happyblush
        h"With you around, I feel like I can do anything! " 
        y "Glad to see you perked up and motivated! " 
        h "Yes, thanks for.. thanks for being you.." 
        y "Hikaru.." 
        hide happyblush 
        show unsureblush
        h "Ano ne..Oneechan.. "
        y "Hmm? What is it?"
        h "Is.. is it ok if .. if  l.. like you? " 
        y "Sure! I like you too Hikaru! " 
        h "No! No.. I mean.. can I like you.. as a guy.. likes a girl?" 
        y "Ohh..."
        h  "I'm sorry! I know that I stutter a lot, I'm not as good as my brothers.."
        h "I know I can't match up to you, I'm not worthy of you.."
        h "I'm weak and shy.."
        h"And I'm too young and you're old.. " 
        y "I am NOT old! " 
        h "Sorry! I didn't mean it that way!"
        h"I meant.. It'll be weird for you right? you're six years older than me.."
        stop music fadeout 1
        menu:
            " Yes, it's really weird":
                jump hikbad
            "No, age doesn't matter":
                jump hikgood 
                

label hikbad: 
    play music "resolved.mp3"
    scene black
    with Dissolve(.5)
    "I appreciate Hikaru's feelings, and am pretty flattered by them to be honest."
    "But he's right, it’s way too weird."
    "I can never imagine going out with someone six years younger than me."
    "If I was nine years old, he would only be a three years old toddler!" 
    "That would be seriously weird. "
    "Plus, I've only treated him as a younger brother and nothing more."
    " For the next few summer days, Hikaru mostly avoided me. "
    "But he got over it nearing the end of the summer holidays."
    "We were all good friends, Kenichi, Daisuke, Hikaru and I."
    "And had lots of fun for the last few days of my vacation." 
    "I had many great memories to bring back before school in the city started again."
    "It was still a great last summer vacation, like none other." 
    stop music fadeout 1
    jump end
    
label hikgood: 
     play music "relax.mp3"
     y " No, it’s not weird, age does not matter at all! "
     y"All that matters is who you are on the inside, Hikaru-kun."
     y" And I know that inside that awkward and shy fifteen year old, there's a great person waiting to come out." 
     h "....You really think so?" 
     y " Yes, I'm sure!" 
     h " .... Thank you Yumi-neechan.." 
     h " So.... W...would you.. like to go out.. on a ..d..date?"
     y " A date? Sure, where would you like to go?"
     hide unsureblush
     show happyblush
     h "Hmmm.. there's a beautiful place somewhere in town."
     h " I go there every time I'm feeling down and lonely but it’s a really serene and amazing place!"
     h"Ikimashou? " 
     hide happyblush
     stop music fadeout 1
     
     scene park
     with Dissolve(.5)
     play music "park.mp3"
     "The place that Hikaru brought me too was indeed stunning, it was a beautiful park with flowers, trees, ponds, birds.. "
     "We took a nice slow walk around the park and then sat down at the pavilion for a short rest. "
     show unsureblush
     h "Yumi... chan? " 
     y "Yes Hikaru-kun?"
     "This is the first time he's called me Yumi-chan!" 
     h "This... is for you.." 
     "He held out a nicely wrapped present for me, but was too shy to look up. " 
     y "Thank you Hikaru! Wow, I wonder what’s inside.. Can I open it? " 
     h " ... Sure.. I guess.. " 
     "I opened the present carefully, and took the item out." 
     "It was the pretty white skirt that I had my eyes on the other day! " 
     "Hikaru actually got it for me! after he saw how much I liked it."
     h "Do you still like it?"
     y "Yes Hikaru! Thank you so much! it’s really thoughtful of you to think of getting this for me." 
     h "I'm sorry I couldn't get it for you the other time."
     h"My brothers don't give me much allowance."
     h"So I had to wait for them to give me my week's pay for being a waiter at the restaurant." 
     y "Thank you so much Hikaru!" 
     "There were tears in the corner of my eyes." 
     hide unsureblush
     "Just then, a mother duck and her ducklings waddled pass us and into the pond."
     "The mother duck had seven ducklings, of which six were healthy, strong ducklings that waddled in pace with their mother."
     "But the last duckling was small and looked sickly, it lagged behind the rest.. "
     "Until it found itself all alone." 
     show normal
     h "Ano ne, Yumi-chan, before you came, I always felt like that small duckling." 
     h"I'm always the one who is lagging behind everyone else."
     h"The insignificant one."
     h "The weak one." 
     h "The one who is always overshadowed by his brothers, always walking in his brothers' shadows." 
     h "But you made me realise that those were just my own thoughts, my own perceptions that were weighing me down." 
     h "Because I was so used to walking behind others, so I'm always in their shadows."
     h "I had no courage to come out of those shadows. " 
     h "But you gave me the courage to break free from that."
     h"To try something new, to give myself another chance." 
     h "Thank you, Yumi-chan." 
     hide normal
     show unsureblush
     h "Will you give this ugly duckling a chance to play a part in your life Yumi-chan?" 
     y "Oh Hikaru-kun.." 
     y"Yes of course I will!"
     y"We all need chances, especially such a wonderful person like you Hikaru-kun." 
     y "You know,  Hikaru means : to shine." 
     y "You have to stop living under the shadows of others and shine your own light."
     y "I'll be next to you all the way. " 
     y "I promise." 
     hide unsureblush
     show happyblush
     h " ....Thank you Yumi-Chan..."
     h" You'll never understand how much these words mean to me. " 
     "Hikaru gently touched my face.." 
     h " I love you, Yumi-chan." 
     
     hide happyblush
     
     stop music fadeout 1
     scene street
     with Dissolve(.5)
     play music "start.mp3"
     "Several years later.." 
     b"Sensei! Are we there yet?" 
     g"Sensei! Atsui desu! It’s so hot! " 
     b"Ya ! It’s hot and my feet hurt too.. Why are we having this excursion?!"
     y "You'll thank me when you reach the destination."
     y "Trust me, it’s really worth the walk!" 
     "Ten years later, I was the homeroom teacher of a class of middle school students in the countryside hometown where I had first met Hikaru, Daisuke and Kenichi."
     "We were on a picnic excursion and I was bringing them to my favourite place." 
     "But these teenagers sure are a pain in the neck, they haven’t stopped complaining for the last fifteen minutes." 
     stop music fadeout 1
     scene park 
     with Dissolve(.5)
     play music "park.mp3"
     y "Ok kids, we've reached the place! "
     y"Look! it’s beautiful, isn't it?" 
     "I brought them to the same park that Hikaru had brought me to many years ago."
     "This place has never degraded in its beauty or vibrancy, even after ten years. " 
     b "Wahh.. honto da! That’s true, it’s so beautiful!" 
     "The students stared with their mouths agape for a second before proceeding to jump into the fields of flowers and roll around in the grass."
     "Suddenly, a familiar figure started walking towards our group.."
     g "Ehh Sensei, ano hito wa dare desuka? Who's that person walking towards us?" 
     g "Is he your husband? It looks like he's bringing something with him!" 
     b "Wooo. love-love da! " 
     y "Ok everyone! just do what you were doing just now."
     y"Sensei is going to say hi to this person, so you all stay here and be good alright?"
     show happyblush
     " I walked towards the familiar figure, with that familiar smile that always made me melt inside." 
     h "Yaho, Yumi ! " 
     "Hikaru was carrying a picnic basket and a water tumbler along with him." 
     h "Yumi-chan, would you like a lunch set? "
     h "Or would you like some sweets?"
     h "Or....  me?" 
     y " .... You, definitely." 
     hide happyblush
     stop music fadeout 1
     jump end
                
label doubtkei: 
    scene black
    with Dissolve(.5)
    play music "resolved.mp3"
    " I didn't want to go to the library."
    " I couldn't trust him."
    "What did he want me to see?"
    "Would he bring his other girls along?"
    "Will he break up with me when we haven’t even really started?"
    "These thoughts kept resonating in my mind. I couldn't think clearly." 
    "So I just didn't go. " 
    "When I didn't turn up at the library on Monday, Kenichi knew I couldn't trust him."
    "He must have been hurt."
    "Because his usual cheerful and hardworking self seemed to be in a trance while he worked in the restaurant."
    "But he got over it nearing the end of the summer holidays."
    "We were all good friends, Kenichi, Daisuke, Hikaru and I."
    "And had lots of fun for the last few days of my vacation." 
    "I had many great memories to bring back before school in the city started again."
    "It was still a great last summer vacation, like none other." 
    stop music fadeout 1
    jump end
    
label trustkei: 
    play music "suspect.mp3"
    scene library
    with Dissolve(.5)
    "I decided to trust Kenichi and I wanted to see the truth for myself, if he asked me there personally, it couldn't have been something that bad.."
    "When I entered the library, it was pretty empty and Kenichi was nowhere to be seen." 
    "Then I heard some voices, one of which sounded like Kenichi." 
    "I followed the voices and they led me deeper into the library.."
    stop music fadeout 1
    scene librarycorner
    with Dissolve(.5)
    play music "children.mp3"
    k ".... The dragon went Groar Groar and the poor princess was stuck in the tower.." 
    "I saw a curious sight.."
    "Kenichi was sitting in the middle of a circle of small children and toddlers, mostly girls."
    "He was animatedly reading from a storybook." 
    "And, he was really good at it."
    "All the children were so engrossed in listening to him, they didn't even notice me approaching." 
    k "And so the prince married the princess, and they all lived happily ever after! The end! " 
    g "Wahh.. Onii-chan, When I grow up can I marry you too?"
    g"Oniichan daisuki! I like you! " 
    g "I love you oniichan, read more stories to us!" 
    g "Oniichan dakishimete! Hug me~" 
    g "Me too, me too! " 
    k "Alright, alright, one at a time.. " 
    "Kenichi then looks up and sees me watching them. "
    "He pauses and all the children turn their heads to look at this stranger standing behind them." 
    g "Oniichan dare?" 
    g "Who's that?"
    g "Masaka! It can't be.... Kanojo desu ka? Your girlfriend?"
    g "What?! No it can't be your girlfriend! I'm the only one for oniichan." 
    k " ( raising his voice over the commotion) Ahem.. I have something important to tell everyone today.."
    "The girls immediately became silent." 
    k "I love all of you very much, I love coming here and reading stories to all of you."
    k"You're all like the younger sisters that I never had. "
    k"But there is one person with a special place in my heart. "
    k"A special place that only she can have." 
    "He looked at me and smiled." 
    k "Yumi-chan is that special person."
    k"When she's sad, I'm can't help but be sad."
    k "When she's happy, I'm happy too."
    k "And when she smiles, I just melt." 
    g "Ehhh.. oniichan loves oneechan that much?"
    g "...Ok then.. " 
    " The girl got off her cushion and came up to me."
    "I felt a small hand tugging at my shirt." 
    g " I'll give oniichan to you, but you must promise me two things." 
    "I bent down." 
    y "What two things?"
    g "First you must take care of oniichan forever, and second.. " 
    g "You both must come here every week to read stories to us! Teehee ~ " 
    k "Hahaha! Kanako-chan Kawaii na.. we'll come every week won't we Yumi?" 
    y "Yes! I would love to! " 
    stop music fadeout 1
    
    scene library
    with Dissolve(.5)
    play music "talking.mp3"
    show keiseriousblush
    k "Sorry I wasn't able to tell you about this earlier.."
    k "I read fairytales to children in this library every Monday." 
    k "I asked the librarians if they would allow me to do so."
    k "I just love to see the inquisitive and excited looks on the children whenever they hear a story."
    k "It might seem really absurd to you, but I really love children a lot ." 
    k "So much that when I was in high school, people misunderstood me for a .. pedophile..  and rumours spread."
    k "Friends distanced themselves from me because they thought I was.. different."
    y "No way! They just left you because of that?"
    k"I couldn't explain myself very well then, also with my parent's accident and brothers to care of.. it was a hard time.."
    k "I didn't want anything like that to happen again. I just suddenly got scared of people knowing about .. my secret..." 
    y"I'm sorry Kenichi, I'm sorry for misunderstanding you too.. "
    y "I must have almost done what your friends did to you."
    y" To misunderstand you based on something that was accidentally heard. "
    y "And then to leave you alone."
    y "I'm really sorry.."
    k "Don't be Yumi, anyone would misunderstand under those circumstances."
    y "But I think it’s wonderful that you love children so much! You'd make a great father next time .." 
    hide keiseriousblush
    show keismileblush
    k "Do you really think so? I hope I would.. someday.. be a good father.." 
    k "I'll treat my daughters like princesses and read fairytale stories to them every day! "
    y "Daughters? What if you have sons?"
    k "Oh I really hope I'd have daughters and not sons though, taking care of Daisuke and Hikaru was tough enough.. Girls are better."
    k "... But Yumi-chan is the best !" 
    hide keismileblush
    
    stop music fadeout 1
    scene livingrm
    with Dissolve(.5)
    play music "children.mp3"
    "Several years later.." 
    show keiko
    m "Papa! Mama! Doko desuka? Where are you both?" 
    "A cute little voice was calling us from the living room." 
    y  "Kocchi yo, over here Keiko-chan."
    y "Hora, oide.. come here, come into Mama's arms." 
    k " We're here for you, my Keiko-chan, always here for you.." 
    hide keiko
    show keikosmile
    m "Keiko ureshii, I'm so happy! "
    m "Papa to Mama o dai dai dai dai daisuki! I love you two very much! " 
    "Kenichi reached out his hand to hold Keiko's and mine." 
    k "I'm really happy too..." 
    "He said as he looked into my eyes."
    k "Thanks for giving me the cutest treasure in the world." 
    hide keikosmile
    show keiko
    m "Papa.. read me a story please? A bedtime story?"
    y "Just one alright? Then you have to go to sleep after that." 
    hide keiko
    scene kenichiend
    with Dissolve(.5)
    m "Yatta! I love Papa's stories!" 
    y "Mama too ~ " 
    k "Hahaha! And I love both of you, very very much.. " 
    stop music fadeout 1
    jump end 
 
label daigood:
    scene livingrm
    with Dissolve(.5)
    play music "relax.mp3"
    "Several years later.."
    show dainormal
    d "Tadaima! I'm home~" 
    y "Okaerinasai! Welcome back! " 
    "Daisuke steps through the front door, back from another long day of work." 
    "I hug him."
    "He smells like smoke, oil and teppanyaki, but it was a familiar and sweet smell to me." 
    "He smells of a husband who works very hard to take care of his wife and family every day."
    "Daisuke opened several food outlets all around town, selling food from different kinds of cuisines." 
    "He had finally realised his dreams, but that meant that he had to juggle between the outlets as the main chef." 
    "On Monday he would be making ramen at the Japanese restaurant, on Tuesday he would be baking cakes at the bakery and so on.."
    "But one outlet was special, our main outlet was called Nan demo ii which means Anything goes." 
    "Because in that outlet, he would mix and match different cuisines and come up with something new." 
    "His motto remained as : As long as it’s delicious and as long as Yumi-chan likes it, it passes." 
    "The funny thing is, though he is the chef, he wants me to cook dinner for him every night. " 
    hide dainormal
    show daismileblush
    d"What did my dear wife cook today for dinner?" 
    y"Why do I have to cook every night when you cook food a thousand times better than I do?" 
    d"Tsk tsk, food isn't just about the taste, it isn't just the ingredients."
    d "It’s the love that you put into cooking the food."
    d "And that I wouldn't miss out for any type of superior taste or texture."
    y "Awww.. that’s sweet of you, but I really hope this is edible." 
    "I put a few bowls and plates of some indescribable things in front of him." 
    "Daisuke suddenly grabs my hand and stares at it." 
    hide daismileblush
    show daisad 
    d "Are you bleeding Yumi-chan?!" 
    "Then I realised my finger had a small cut, I must have accidentally cut it while preparing dinner." 
    d "This isn't good, how can I let my cute wife suffer?"
    hide daisad
    show daiblush
    " Daisuke takes my finger and places it in his mouth, sucking it and trying to make the blood stop." 
    y "Ahh... it’s ok Daisuke! You don't have to do this! there's something called antiseptic cream." 
    hide daiblush
    show daismileblush
    d "Well, can't let my cute wife's blood go to waste, your blood is as sweet as you are. " 
    y "What are you, a vampire?!!" 
    d "Ahahaha!" 
    d "Nahh.. Anyway your blood is probably sweet because you eat so many sweet things.." 
    hide daismileblush
    show dainormal
    d "Ok time to eat the food my wife cut herself over for..  Itadakimasu!"
    " He puts the food into his mouth and stares at me, his expression doesn't really give me a clue about how the food really tastes."
    y "Yappari mazui? It’s bad right?"
    "Daisuke shakes his head" 
    hide dainormal
    show daiblush
    d "Nope, the food tastes a lot more better... just with you by my side." 
    "He leaned over and gave me a quick but yet sweet kiss on my forehead." 
    d "Aishiteru yo, Yumi-Chan, I love you..{w} for now, {w}and forever..  " 
    hide daiblush
    stop music fadeout 1
    jump end
     
label daibad: 
        scene black
        with Dissolve(.5)
        play music "resolved.mp3"
        "Daisuke was rushing things."
        "I only spent a few weeks with him."
        "And now he was telling me that he wanted to spend forever with me?"
        "I couldn't promise to stay with him."
        "Who knows that the future might bring?"
        "And I definitely needed to return to the city for my studies."
        "A long distance relationship that started just from a summer vacation probably wouldn't last. " 
        "I can't give him empty promises." 
        "Daisuke was pretty down for many days following that incident, and avoided me for quite a while."
        "But he got over it nearing the end of the summer holidays."
        "We were all good friends, Kenichi, Daisuke, Hikaru and I."
        "And had lots of fun for the last few days of my vacation." 
        "I had many great memories to bring back before school in the city started again."
        "It was still a great last summer vacation, like none other." 
        stop music fadeout 1
        jump end
    
label end: 
     scene backdrop
     with Dissolve(.5)
     play music "talking.mp3"
     "The End"
     "Thanks for playing!" 
     "Made with the Ren'Py visual novel engine."
     "Music by TAM Music Factory and Taylor Hayward." 
     "Story, background, images by Facades." 
     stop music fadeout 1

     
return

